Bug 1391818 (CVE-2016-8635)

Summary: CVE-2016-8635 nss: small-subgroups attack flaw
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dueno, hkario, kengert, rrelyea, security-response-team, slawomir, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that Diffie Hellman Client key exchange handling in NSS was vulnerable to small subgroup confinement attack. An attacker could use this flaw to recover private keys by confining the client DH key to small subgroup of the desired group.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-16 06:12:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1380228, 1391819    

Description Huzaifa S. Sidhpurwala 2016-11-04 06:40:23 UTC
It was found that Diffie Hellman Client key exchange handling in NSS, was vulnerable to small subgroup confinement attack[1]. An attacker could use this flaw to recover private keys by confining the client DH key to small subgroup of the desired group.


[1] https://en.wikipedia.org/wiki/Small_subgroup_confinement_attack

Comment 4 Huzaifa S. Sidhpurwala 2016-11-15 04:31:06 UTC
Acknowledgments:

Name: Hubert Kario (Red Hat)

Comment 7 errata-xmlrpc 2016-11-16 05:59:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:2779 https://rhn.redhat.com/errata/RHSA-2016-2779.html